# Update Cross-Domain Rules - UpdateCORSRule

## Overview

Update Cross-Domain Rules






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateCORSRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **CORSId** | string | Cross-domain Rule ID |**Yes**|
| **BucketName** | string | Bucket Name |**Yes**|
| **AllowedOrigin** | string | Specify the allowed origins for cross-domain requests, use the wildcard (*) to allow cross-domain requests from all sources (multiple Origins are separated by ','). |**Yes**|
| **AllowedMethod** | string | Specify the allowed cross-domain request methods. Supported method names are: GET, PUT, POST, DELETE, HEAD, OPTIONS (multiple Methods are separated by ',') |**Yes**|
| **AllowedHeader** | string | Specify allowed cross-domain request headers (multiple Headers separated by ',') |No|
| **ExposeHeader** | string | Specify the response headers that are allowed for user access from the application (multiple ExposeHeaders are separated by ',') |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=UpdateCORSRule
&CORSId=eaZpnzvl
&BucketName=asmygNHw
&Origin=qlxPKtxU
&Method=boErpzbh
&MaxAge=8
&Header=AbvrKqio
&ExposeHeader=EUHiIFWA
&ProjectId=IeZWoXuv
```

### Response Example
    
```json
{
  "Action": "UpdateCORSRuleResponse",
  "RetCode": 0
}
```





